Package org.linphone.core

# Class AccountListenerStub

java.lang.Object
org.linphone.core.AccountListenerStub

All Implemented Interfaces:
  `AccountListener`

public class AccountListenerStub extends Object implements AccountListener

## Constructor Summary

Constructors
Constructor
Description
`AccountListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onConferenceInformationUpdated(Account account, ConferenceInfo[] infos)`
Callback for notifying that the conference information list of an account has
been updated.
`void`
`onMessageWaitingIndicationChanged(Account account, MessageWaitingIndication mwi)`
Callback for notifying a message waiting indication change for the account.
`void`
`onRegistrationStateChanged(Account account, RegistrationState state, String message)`
Callback for notifying when a registration state has changed for the account.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountListenerStub

public AccountListenerStub()

## Method Details

### onRegistrationStateChanged

public void onRegistrationStateChanged(Account account, RegistrationState state, String message)
Description copied from interface: `AccountListener`
Callback for notifying when a registration state has changed for the account.

Specified by:
  `onRegistrationStateChanged` in interface `AccountListener`
Parameters:
  `account` - LinphoneAccount object whose registration state changed.
  `state` - The current LinphoneRegistrationState.
  `message` - A non null informational message about the state.

### onMessageWaitingIndicationChanged

public void onMessageWaitingIndicationChanged(Account account, MessageWaitingIndication mwi)
Description copied from interface: `AccountListener`
Callback for notifying a message waiting indication change for the account.

Specified by:
  `onMessageWaitingIndicationChanged` in interface `AccountListener`
Parameters:
  `account` - LinphoneAccount object whose message waiting indication changed.
  `mwi` - The current LinphoneMessageWaitingIndication.

### onConferenceInformationUpdated

public void onConferenceInformationUpdated(Account account, ConferenceInfo[] infos)
Description copied from interface: `AccountListener`
Callback for notifying that the conference information list of an account has
been updated.
This is generally the case when retrieving conference informations from a CCMP
server as the request might take a little bit of time to be responded. In order
to allow the core to perform its tasks while the conference information are
being sent, the core will send first the list of conference information that
are locally stored and then this callback is called once it is updated with the
information received by the CCMP server.

Specified by:
  `onConferenceInformationUpdated` in interface `AccountListener`
Parameters:
  `account` - `Account` object whose message waiting indication changed.
  `infos` - The updated list of conference informations